NKS

nks

NKS

Clusters

nks.clusters

Methods

Create NKS Cluster ->
post/v1/nks/clusters

Create an NKS Cluster

Get NKS Cluster Details ->
get/v1/nks/clusters/{cluster_id}

Get details about an NKS cluster

path Parameters
cluster_id: string
Response fields
Request example
200Example
Update NKS Cluster ->
patch/v1/nks/clusters/{cluster_id}

Update an NKS cluster

Delete NKS Cluster ->
delete/v1/nks/clusters/{cluster_id}

Delete an NKS cluster

List NKS Clusters -> Cursor<>
get/v1/nks/clusters

List all NKS clusters

Domain types

Kubeconfig = { kubeconfig }

Kubeconfig for an NKS Cluster.

NKSCluster = { id, created_at, name, 9 more... }

NKS Cluster details.

NKSClusterList = { items, pagination }
NKSClusters

Availability

nks.clusters.availability

Methods

Check Create NKS Cluster Availability ->
post/v1/nks/clusters/availability

Check if an NKS cluster can be created

Check Update NKS Cluster Availability ->
patch/v1/nks/clusters/{cluster_id}/availability

Check if an NKS cluster can be updated

NKSClusters

Controllers

nks.clusters.controllers

Methods

Get NKS Controller Details ->
get/v1/nks/clusters/{cluster_id}/controllers/{controller_id}

Get details about an NKS controller

List NKS Controllers -> Cursor<>
get/v1/nks/clusters/{cluster_id}/controllers

List all controllers in an NKS cluster

Domain types

NKSController = { id, cpu_config, created_at, 5 more... }

NKS controller details.

NKSControllerCPUConfigResponse = { vcpu }

CPU configuration.

NKSControllerList = { items, pagination }
NKSControllerMemoryConfigResponse = { size }

Memory configuration.

nks.clusters.controllers.volumes

Methods

Get NKS Controller Volume Details ->
get/v1/nks/clusters/{cluster_id}/controllers/{controller_id}/volumes/{volume_id}

Get details about a volume attached to an NKS controller

List NKS Controller Volumes -> Cursor<>
get/v1/nks/clusters/{cluster_id}/controllers/{controller_id}/volumes

List all volumes attached to an NKS controller

Domain types

NKSControllerVolume = { id, created_at, kind, 5 more... }

NKS controller volume details.

NKSControllerVolumeList = { items, pagination }
NKSClusters

Kubeconfig

nks.clusters.kubeconfig

Methods

Get NKS Cluster Kubeconfig ->
get/v1/nks/clusters/{cluster_id}/kubeconfig

Get the kubeconfig for an NKS cluster

NKSClusters

Load Balancers

nks.clusters.load_balancers

Methods

Get NKS Load Balancer Details ->
get/v1/nks/clusters/{cluster_id}/load_balancers/{load_balancer_id}

Get details about an NKS load balancer

List NKS Load Balancers -> Cursor<>
get/v1/nks/clusters/{cluster_id}/load_balancers

List all load balancers in an NKS cluster

Domain types

NKSLoadBalancer = { id, cluster_id, created_at, 7 more... }

NKS load balancer details.

NKSLoadBalancerList = { items, pagination }
NKSClusters

Persistent Volume Claims

nks.clusters.persistent_volume_claims

Methods

Get NKS Persistent Volume Claim Details ->
get/v1/nks/clusters/{cluster_id}/persistent_volume_claims/{persistent_volume_claim_id}

Get details about an NKS persistent volume claim

List NKS Persistent Volume Claims -> Cursor<>
get/v1/nks/clusters/{cluster_id}/persistent_volume_claims

List all persistent volume claims in an NKS cluster

Domain types

PersistentVolumeClaim = { id, cluster_id, created_at, 5 more... }

NKS persistent volume claim details.

PersistentVolumeClaimList = { items, pagination }

nks.clusters.pools

Methods

Create NKS Node Pool ->
post/v1/nks/clusters/{cluster_id}/pools

Create a node pool in an NKS cluster

Get NKS Node Pool Details ->
get/v1/nks/clusters/{cluster_id}/pools/{pool_id}

Get details about an NKS node pool

Update NKS Node Pool ->
patch/v1/nks/clusters/{cluster_id}/pools/{pool_id}

Update an NKS node pool

Delete NKS Node Pool ->
delete/v1/nks/clusters/{cluster_id}/pools/{pool_id}

Delete an NKS node pool

List NKS Node Pools -> Cursor<>
get/v1/nks/clusters/{cluster_id}/pools

List all node pools in an NKS cluster

Domain types

NKSNodePool = { id, cluster_id, created_at, 6 more... }

NKS node pool details.

NKSNodePoolBootVolume = { size, type }

Boot volume configuration.

NKSNodePoolBootVolumeResponse = { size, type }

Boot volume configuration.

NKSNodePoolCPUConfig = { vcpu }

CPU configuration.

NKSNodePoolCPUConfigResponse = { vcpu }

CPU configuration.

NKSNodePoolList = { items, pagination }
NKSNodePoolMemoryConfig = { size }

Memory configuration.

NKSNodePoolMemoryConfigResponse = { size }

Memory configuration.

NKSNodePoolNodeConfig = { boot_volume, cpu_config, memory_config }

Node configuration.

NKSNodePoolNodeConfigResponse = { boot_volume, cpu_config, memory_config }

Node configuration.

NKSClustersPools

Availability

nks.clusters.pools.availability

Methods

Check Create NKS Node Pool Availability ->
post/v1/nks/clusters/{cluster_id}/pools/availability

Check if a node pool can be created in an NKS cluster

Check Update NKS Node Pool Availability ->
patch/v1/nks/clusters/{cluster_id}/pools/{pool_id}/availability

Check if an NKS node pool can be updated

nks.clusters.pools.nodes

Methods

Get NKS Node Details ->
get/v1/nks/clusters/{cluster_id}/pools/{pool_id}/nodes/{node_id}

Get details about an NKS node

Delete NKS Node ->
delete/v1/nks/clusters/{cluster_id}/pools/{pool_id}/nodes/{node_id}

Delete a single node from an NKS node pool

List NKS Nodes -> Cursor<>
get/v1/nks/clusters/{cluster_id}/pools/{pool_id}/nodes

List all nodes in an NKS node pool

Domain types

NKSNode = { id, created_at, name, 3 more... }

NKS node details.

NKSNodeList = { items, pagination }

nks.clusters.pools.nodes.volumes

Methods

Get NKS Node Volume Details ->
get/v1/nks/clusters/{cluster_id}/pools/{pool_id}/nodes/{node_id}/volumes/{volume_id}

Get details about a volume attached to an NKS node

List NKS Node Volumes -> Cursor<>
get/v1/nks/clusters/{cluster_id}/pools/{pool_id}/nodes/{node_id}/volumes

List all volumes attached to an NKS node

Domain types

NKSNodeVolume = { id, created_at, kind, 5 more... }

NKS node volume details.

NKSNodeVolumeList = { items, pagination }